# GstVideoConverter

This object is used to convert video frames from one format to another. The object can perform conversion of:

- video format
- video colorspace
- chroma-siting
- video size

## GstVideoConverter

## GstVideo.VideoConverter

### Methods

#### gst_video_converter_frame

    gst_video_converter_frame (GstVideoConverter * convert,
                               const GstVideoFrame * src,
                               GstVideoFrame * dest)

Convert the pixels of src into dest using convert.

If GST_VIDEO_CONVERTER_OPT_ASYNC_TASKS is TRUE then this function will return immediately and needs to be followed by a call to gst_video_converter_frame_finish.

Parameters:

`convert` –

a GstVideoConverter

`src` –

a GstVideoFrame

`dest` –

a GstVideoFrame

Since : 1.6

#### GstVideo.VideoConverter.prototype.frame

    function GstVideo.VideoConverter.prototype.frame(src: GstVideo.VideoFrame, dest: GstVideo.VideoFrame): {
        // javascript wrapper for 'gst_video_converter_frame'
    }

Convert the pixels of src into dest using convert.

If GstVideo.VIDEO_CONVERTER_OPT_ASYNC_TASKS is true then this function will return immediately and needs to be followed by a call to GstVideo.VideoConverter.prototype.frame_finish.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

`src` (GstVideo.VideoFrame) –

a GstVideo.VideoFrame

`dest` (GstVideo.VideoFrame) –

a GstVideo.VideoFrame

Since : 1.6

#### GstVideo.VideoConverter.frame

    def GstVideo.VideoConverter.frame (self, src, dest):
        #python wrapper for 'gst_video_converter_frame'

Convert the pixels of src into dest using convert.

If GstVideo.VIDEO_CONVERTER_OPT_ASYNC_TASKS is True then this function will return immediately and needs to be followed by a call to GstVideo.VideoConverter.frame_finish.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

`src` (GstVideo.VideoFrame) –

a GstVideo.VideoFrame

`dest` (GstVideo.VideoFrame) –

a GstVideo.VideoFrame

Since : 1.6

#### gst_video_converter_frame_finish

    gst_video_converter_frame_finish (GstVideoConverter * convert)

Wait for a previous async conversion performed using gst_video_converter_frame to complete.

Parameters:

`convert` –

a GstVideoConverter

Since : 1.20

#### GstVideo.VideoConverter.prototype.frame_finish

    function GstVideo.VideoConverter.prototype.frame_finish(): {
        // javascript wrapper for 'gst_video_converter_frame_finish'
    }

Wait for a previous async conversion performed using GstVideo.VideoConverter.prototype.frame to complete.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Since : 1.20

#### GstVideo.VideoConverter.frame_finish

    def GstVideo.VideoConverter.frame_finish (self):
        #python wrapper for 'gst_video_converter_frame_finish'

Wait for a previous async conversion performed using GstVideo.VideoConverter.frame to complete.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Since : 1.20

#### gst_video_converter_free

    gst_video_converter_free (GstVideoConverter * convert)

Free convert

Parameters:

`convert` –

a GstVideoConverter

Since : 1.6

#### GstVideo.VideoConverter.prototype.free

    function GstVideo.VideoConverter.prototype.free(): {
        // javascript wrapper for 'gst_video_converter_free'
    }

Free convert

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Since : 1.6

#### GstVideo.VideoConverter.free

    def GstVideo.VideoConverter.free (self):
        #python wrapper for 'gst_video_converter_free'

Free convert

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Since : 1.6

#### gst_video_converter_get_config

    const GstStructure *
    gst_video_converter_get_config (GstVideoConverter * convert)

Get the current configuration of convert.

Parameters:

`convert` –

a GstVideoConverter

Returns –

a GstStructure that remains valid for as long as convert is valid or until gst_video_converter_set_config is called.

#### GstVideo.VideoConverter.prototype.get_config

    function GstVideo.VideoConverter.prototype.get_config(): {
        // javascript wrapper for 'gst_video_converter_get_config'
    }

Get the current configuration of convert.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Returns (Gst.Structure) –

a Gst.Structure that remains valid for as long as convert is valid or until GstVideo.VideoConverter.prototype.set_config is called.

#### GstVideo.VideoConverter.get_config

    def GstVideo.VideoConverter.get_config (self):
        #python wrapper for 'gst_video_converter_get_config'

Get the current configuration of convert.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

Returns (Gst.Structure) –

a Gst.Structure that remains valid for as long as convert is valid or until GstVideo.VideoConverter.set_config is called.

#### gst_video_converter_set_config

    gboolean
    gst_video_converter_set_config (GstVideoConverter * convert,
                                    GstStructure * config)

Set config as extra configuration for convert.

If the parameters in config can not be set exactly, this function returns FALSE and will try to update as much state as possible. The new state can then be retrieved and refined with gst_video_converter_get_config.

Look at the `GST_VIDEO_CONVERTER_OPT_*` fields to check valid configuration option and values.

Parameters:

`convert` –

a GstVideoConverter

`config` ( [transfer: full]) –

a GstStructure

Returns –

TRUE when config could be set.

Since : 1.6

#### GstVideo.VideoConverter.prototype.set_config

    function GstVideo.VideoConverter.prototype.set_config(config: Gst.Structure): {
        // javascript wrapper for 'gst_video_converter_set_config'
    }

Set config as extra configuration for convert.

If the parameters in config can not be set exactly, this function returns false and will try to update as much state as possible. The new state can then be retrieved and refined with GstVideo.VideoConverter.prototype.get_config.

Look at the `GST_VIDEO_CONVERTER_OPT_*` fields to check valid configuration option and values.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

`config` (Gst.Structure) –

a Gst.Structure

Returns (Number) –

true when config could be set.

Since : 1.6

#### GstVideo.VideoConverter.set_config

    def GstVideo.VideoConverter.set_config (self, config):
        #python wrapper for 'gst_video_converter_set_config'

Set config as extra configuration for convert.

If the parameters in config can not be set exactly, this function returns False and will try to update as much state as possible. The new state can then be retrieved and refined with GstVideo.VideoConverter.get_config.

Look at the `GST_VIDEO_CONVERTER_OPT_*` fields to check valid configuration option and values.

Parameters:

`convert` (GstVideo.VideoConverter) –

a GstVideo.VideoConverter

`config` (Gst.Structure) –

a Gst.Structure

Returns (bool) –

True when config could be set.

Since : 1.6

### Functions

#### gst_video_converter_new

    GstVideoConverter *
    gst_video_converter_new (const GstVideoInfo * in_info,
                             const GstVideoInfo * out_info,
                             GstStructure * config)

Create a new converter object to convert between in_info and out_info with config.

Parameters:

`in_info` –

a GstVideoInfo

`out_info` –

a GstVideoInfo

`config` ( [transfer: full]) –

a GstStructure with configuration options

Returns –

a GstVideoConverter or NULL if conversion is not possible.

Since : 1.6

#### gst_video_converter_new_with_pool

    GstVideoConverter *
    gst_video_converter_new_with_pool (const GstVideoInfo * in_info,
                                       const GstVideoInfo * out_info,
                                       GstStructure * config,
                                       GstTaskPool * pool)

Create a new converter object to convert between in_info and out_info with config.

The optional pool can be used to spawn threads, this is useful when creating new converters rapidly, for example when updating cropping.

Parameters:

`in_info` –

a GstVideoInfo

`out_info` –

a GstVideoInfo

`config` ( [transfer: full]) –

a GstStructure with configuration options

`pool` ( [nullable]) –

a GstTaskPool to spawn threads from

Returns –

a GstVideoConverter or NULL if conversion is not possible.

Since : 1.20

## Enumerations

### GstVideoAlphaMode

Different alpha modes.

##### Members

`GST_VIDEO_ALPHA_MODE_COPY` (0) –

When input and output have alpha, it will be copied. When the input has no alpha, alpha will be set to GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GST_VIDEO_ALPHA_MODE_SET` (1) –

set all alpha to GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GST_VIDEO_ALPHA_MODE_MULT` (2) –

multiply all alpha with GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE. When the input format has no alpha but the output format has, the alpha value will be set to GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE

### GstVideo.VideoAlphaMode

Different alpha modes.

##### Members

`GstVideo.VideoAlphaMode.COPY` (0) –

When input and output have alpha, it will be copied. When the input has no alpha, alpha will be set to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GstVideo.VideoAlphaMode.SET` (1) –

set all alpha to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GstVideo.VideoAlphaMode.MULT` (2) –

multiply all alpha with GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE. When the input format has no alpha but the output format has, the alpha value will be set to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

### GstVideo.VideoAlphaMode

Different alpha modes.

##### Members

`GstVideo.VideoAlphaMode.COPY` (0) –

When input and output have alpha, it will be copied. When the input has no alpha, alpha will be set to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GstVideo.VideoAlphaMode.SET` (1) –

set all alpha to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

`GstVideo.VideoAlphaMode.MULT` (2) –

multiply all alpha with GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE. When the input format has no alpha but the output format has, the alpha value will be set to GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

### GstVideoChromaMode

Different chroma downsampling and upsampling modes

##### Members

`GST_VIDEO_CHROMA_MODE_FULL` (0) –

do full chroma up and down sampling

`GST_VIDEO_CHROMA_MODE_UPSAMPLE_ONLY` (1) –

only perform chroma upsampling

`GST_VIDEO_CHROMA_MODE_DOWNSAMPLE_ONLY` (2) –

only perform chroma downsampling

`GST_VIDEO_CHROMA_MODE_NONE` (3) –

disable chroma resampling

### GstVideo.VideoChromaMode

Different chroma downsampling and upsampling modes

##### Members

`GstVideo.VideoChromaMode.FULL` (0) –

do full chroma up and down sampling

`GstVideo.VideoChromaMode.UPSAMPLE_ONLY` (1) –

only perform chroma upsampling

`GstVideo.VideoChromaMode.DOWNSAMPLE_ONLY` (2) –

only perform chroma downsampling

`GstVideo.VideoChromaMode.NONE` (3) –

disable chroma resampling

### GstVideo.VideoChromaMode

Different chroma downsampling and upsampling modes

##### Members

`GstVideo.VideoChromaMode.FULL` (0) –

do full chroma up and down sampling

`GstVideo.VideoChromaMode.UPSAMPLE_ONLY` (1) –

only perform chroma upsampling

`GstVideo.VideoChromaMode.DOWNSAMPLE_ONLY` (2) –

only perform chroma downsampling

`GstVideo.VideoChromaMode.NONE` (3) –

disable chroma resampling

### GstVideoGammaMode

##### Members

`GST_VIDEO_GAMMA_MODE_NONE` (0) –

disable gamma handling

`GST_VIDEO_GAMMA_MODE_REMAP` (1) –

convert between input and output gamma Different gamma conversion modes

### GstVideo.VideoGammaMode

##### Members

`GstVideo.VideoGammaMode.NONE` (0) –

disable gamma handling

`GstVideo.VideoGammaMode.REMAP` (1) –

convert between input and output gamma Different gamma conversion modes

### GstVideo.VideoGammaMode

##### Members

`GstVideo.VideoGammaMode.NONE` (0) –

disable gamma handling

`GstVideo.VideoGammaMode.REMAP` (1) –

convert between input and output gamma Different gamma conversion modes

### GstVideoMatrixMode

Different color matrix conversion modes

##### Members

`GST_VIDEO_MATRIX_MODE_FULL` (0) –

do conversion between color matrices

`GST_VIDEO_MATRIX_MODE_INPUT_ONLY` (1) –

use the input color matrix to convert to and from R'G'B

`GST_VIDEO_MATRIX_MODE_OUTPUT_ONLY` (2) –

use the output color matrix to convert to and from R'G'B

`GST_VIDEO_MATRIX_MODE_NONE` (3) –

disable color matrix conversion.

### GstVideo.VideoMatrixMode

Different color matrix conversion modes

##### Members

`GstVideo.VideoMatrixMode.FULL` (0) –

do conversion between color matrices

`GstVideo.VideoMatrixMode.INPUT_ONLY` (1) –

use the input color matrix to convert to and from R'G'B

`GstVideo.VideoMatrixMode.OUTPUT_ONLY` (2) –

use the output color matrix to convert to and from R'G'B

`GstVideo.VideoMatrixMode.NONE` (3) –

disable color matrix conversion.

### GstVideo.VideoMatrixMode

Different color matrix conversion modes

##### Members

`GstVideo.VideoMatrixMode.FULL` (0) –

do conversion between color matrices

`GstVideo.VideoMatrixMode.INPUT_ONLY` (1) –

use the input color matrix to convert to and from R'G'B

`GstVideo.VideoMatrixMode.OUTPUT_ONLY` (2) –

use the output color matrix to convert to and from R'G'B

`GstVideo.VideoMatrixMode.NONE` (3) –

disable color matrix conversion.

### GstVideoPrimariesMode

Different primaries conversion modes

##### Members

`GST_VIDEO_PRIMARIES_MODE_NONE` (0) –

disable conversion between primaries

`GST_VIDEO_PRIMARIES_MODE_MERGE_ONLY` (1) –

do conversion between primaries only when it can be merged with color matrix conversion.

`GST_VIDEO_PRIMARIES_MODE_FAST` (2) –

fast conversion between primaries

### GstVideo.VideoPrimariesMode

Different primaries conversion modes

##### Members

`GstVideo.VideoPrimariesMode.NONE` (0) –

disable conversion between primaries

`GstVideo.VideoPrimariesMode.MERGE_ONLY` (1) –

do conversion between primaries only when it can be merged with color matrix conversion.

`GstVideo.VideoPrimariesMode.FAST` (2) –

fast conversion between primaries

### GstVideo.VideoPrimariesMode

Different primaries conversion modes

##### Members

`GstVideo.VideoPrimariesMode.NONE` (0) –

disable conversion between primaries

`GstVideo.VideoPrimariesMode.MERGE_ONLY` (1) –

do conversion between primaries only when it can be merged with color matrix conversion.

`GstVideo.VideoPrimariesMode.FAST` (2) –

fast conversion between primaries

## Constants

### GST_VIDEO_CONVERTER_OPT_ALPHA_MODE

    #define GST_VIDEO_CONVERTER_OPT_ALPHA_MODE   "GstVideoConverter.alpha-mode"

GstVideoAlphaMode, the alpha mode to use. Default is GST_VIDEO_ALPHA_MODE_COPY.

### GstVideo.VIDEO_CONVERTER_OPT_ALPHA_MODE

GstVideo.VideoAlphaMode, the alpha mode to use. Default is GstVideo.VideoAlphaMode.COPY.

### GstVideo.VIDEO_CONVERTER_OPT_ALPHA_MODE

GstVideo.VideoAlphaMode, the alpha mode to use. Default is GstVideo.VideoAlphaMode.COPY.

### GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE

    #define GST_VIDEO_CONVERTER_OPT_ALPHA_VALUE   "GstVideoConverter.alpha-value"

G_TYPE_DOUBLE, the alpha color value to use. Default to 1.0

### GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

G_TYPE_DOUBLE (not introspectable), the alpha color value to use. Default to 1.0

### GstVideo.VIDEO_CONVERTER_OPT_ALPHA_VALUE

G_TYPE_DOUBLE (not introspectable), the alpha color value to use. Default to 1.0

### GST_VIDEO_CONVERTER_OPT_ASYNC_TASKS

    #define GST_VIDEO_CONVERTER_OPT_ASYNC_TASKS   "GstVideoConverter.async-tasks"

G_TYPE_BOOLEAN, whether gst_video_converter_frame will return immediately without waiting for the conversion to complete. A subsequent gst_video_converter_frame_finish must be performed to ensure completion of the conversion before subsequent use. Default FALSE

### GstVideo.VIDEO_CONVERTER_OPT_ASYNC_TASKS

G_TYPE_BOOLEAN (not introspectable), whether GstVideo.VideoConverter.prototype.frame will return immediately without waiting for the conversion to complete. A subsequent GstVideo.VideoConverter.prototype.frame_finish must be performed to ensure completion of the conversion before subsequent use. Default false

### GstVideo.VIDEO_CONVERTER_OPT_ASYNC_TASKS

G_TYPE_BOOLEAN (not introspectable), whether GstVideo.VideoConverter.frame will return immediately without waiting for the conversion to complete. A subsequent GstVideo.VideoConverter.frame_finish must be performed to ensure completion of the conversion before subsequent use. Default False

### GST_VIDEO_CONVERTER_OPT_BORDER_ARGB

    #define GST_VIDEO_CONVERTER_OPT_BORDER_ARGB   "GstVideoConverter.border-argb"

G_TYPE_UINT, the border color to use if GST_VIDEO_CONVERTER_OPT_FILL_BORDER is set to TRUE. The color is in ARGB format. Default 0xff000000

### GstVideo.VIDEO_CONVERTER_OPT_BORDER_ARGB

G_TYPE_UINT (not introspectable), the border color to use if GstVideo.VIDEO_CONVERTER_OPT_FILL_BORDER is set to true. The color is in ARGB format. Default 0xff000000

### GstVideo.VIDEO_CONVERTER_OPT_BORDER_ARGB

G_TYPE_UINT (not introspectable), the border color to use if GstVideo.VIDEO_CONVERTER_OPT_FILL_BORDER is set to True. The color is in ARGB format. Default 0xff000000

### GST_VIDEO_CONVERTER_OPT_CHROMA_MODE

    #define GST_VIDEO_CONVERTER_OPT_CHROMA_MODE   "GstVideoConverter.chroma-mode"

GstVideoChromaMode, set the chroma resample mode subsampled formats. Default is GST_VIDEO_CHROMA_MODE_FULL.

### GstVideo.VIDEO_CONVERTER_OPT_CHROMA_MODE

GstVideo.VideoChromaMode, set the chroma resample mode subsampled formats. Default is GstVideo.VideoChromaMode.FULL.

### GstVideo.VIDEO_CONVERTER_OPT_CHROMA_MODE

GstVideo.VideoChromaMode, set the chroma resample mode subsampled formats. Default is GstVideo.VideoChromaMode.FULL.

### GST_VIDEO_CONVERTER_OPT_CHROMA_RESAMPLER_METHOD

    #define GST_VIDEO_CONVERTER_OPT_CHROMA_RESAMPLER_METHOD   "GstVideoConverter.chroma-resampler-method"

GstVideoChromaMethod, The resampler method to use for chroma resampling. Other options for the resampler can be used, see the GstVideoResampler. Default is GST_VIDEO_RESAMPLER_METHOD_LINEAR

### GstVideo.VIDEO_CONVERTER_OPT_CHROMA_RESAMPLER_METHOD

GstVideo.VideoChromaMethod, The resampler method to use for chroma resampling. Other options for the resampler can be used, see the GstVideo.VideoResampler. Default is GstVideo.VideoResamplerMethod.LINEAR

### GstVideo.VIDEO_CONVERTER_OPT_CHROMA_RESAMPLER_METHOD

GstVideo.VideoChromaMethod, The resampler method to use for chroma resampling. Other options for the resampler can be used, see the GstVideo.VideoResampler. Default is GstVideo.VideoResamplerMethod.LINEAR

### GST_VIDEO_CONVERTER_OPT_DEST_HEIGHT

    #define GST_VIDEO_CONVERTER_OPT_DEST_HEIGHT   "GstVideoConverter.dest-height"

G_TYPE_INT, height in the destination frame, default destination height

### GstVideo.VIDEO_CONVERTER_OPT_DEST_HEIGHT

G_TYPE_INT (not introspectable), height in the destination frame, default destination height

### GstVideo.VIDEO_CONVERTER_OPT_DEST_HEIGHT

G_TYPE_INT (not introspectable), height in the destination frame, default destination height

### GST_VIDEO_CONVERTER_OPT_DEST_WIDTH

    #define GST_VIDEO_CONVERTER_OPT_DEST_WIDTH   "GstVideoConverter.dest-width"

G_TYPE_INT, width in the destination frame, default destination width

### GstVideo.VIDEO_CONVERTER_OPT_DEST_WIDTH

G_TYPE_INT (not introspectable), width in the destination frame, default destination width

### GstVideo.VIDEO_CONVERTER_OPT_DEST_WIDTH

G_TYPE_INT (not introspectable), width in the destination frame, default destination width

### GST_VIDEO_CONVERTER_OPT_DEST_X

    #define GST_VIDEO_CONVERTER_OPT_DEST_X   "GstVideoConverter.dest-x"

G_TYPE_INT, x position in the destination frame, default 0

### GstVideo.VIDEO_CONVERTER_OPT_DEST_X

G_TYPE_INT (not introspectable), x position in the destination frame, default 0

### GstVideo.VIDEO_CONVERTER_OPT_DEST_X

G_TYPE_INT (not introspectable), x position in the destination frame, default 0

### GST_VIDEO_CONVERTER_OPT_DEST_Y

    #define GST_VIDEO_CONVERTER_OPT_DEST_Y   "GstVideoConverter.dest-y"

G_TYPE_INT, y position in the destination frame, default 0

### GstVideo.VIDEO_CONVERTER_OPT_DEST_Y

G_TYPE_INT (not introspectable), y position in the destination frame, default 0

### GstVideo.VIDEO_CONVERTER_OPT_DEST_Y

G_TYPE_INT (not introspectable), y position in the destination frame, default 0

### GST_VIDEO_CONVERTER_OPT_DITHER_METHOD

    #define GST_VIDEO_CONVERTER_OPT_DITHER_METHOD   "GstVideoConverter.dither-method"

GstVideoDitherMethod, The dither method to use when changing bit depth. Default is GST_VIDEO_DITHER_BAYER.

### GstVideo.VIDEO_CONVERTER_OPT_DITHER_METHOD

GstVideo.VideoDitherMethod, The dither method to use when changing bit depth. Default is GstVideo.VideoDitherMethod.BAYER.

### GstVideo.VIDEO_CONVERTER_OPT_DITHER_METHOD

GstVideo.VideoDitherMethod, The dither method to use when changing bit depth. Default is GstVideo.VideoDitherMethod.BAYER.

### GST_VIDEO_CONVERTER_OPT_DITHER_QUANTIZATION

    #define GST_VIDEO_CONVERTER_OPT_DITHER_QUANTIZATION   "GstVideoConverter.dither-quantization"

G_TYPE_UINT, The quantization amount to dither to. Components will be quantized to multiples of this value. Default is 1

### GstVideo.VIDEO_CONVERTER_OPT_DITHER_QUANTIZATION

G_TYPE_UINT (not introspectable), The quantization amount to dither to. Components will be quantized to multiples of this value. Default is 1

### GstVideo.VIDEO_CONVERTER_OPT_DITHER_QUANTIZATION

G_TYPE_UINT (not introspectable), The quantization amount to dither to. Components will be quantized to multiples of this value. Default is 1

### GST_VIDEO_CONVERTER_OPT_FILL_BORDER

    #define GST_VIDEO_CONVERTER_OPT_FILL_BORDER   "GstVideoConverter.fill-border"

G_TYPE_BOOLEAN, if the destination rectangle does not fill the complete destination image, render a border with GST_VIDEO_CONVERTER_OPT_BORDER_ARGB. Otherwise the unusded pixels in the destination are untouched. Default TRUE.

### GstVideo.VIDEO_CONVERTER_OPT_FILL_BORDER

G_TYPE_BOOLEAN (not introspectable), if the destination rectangle does not fill the complete destination image, render a border with GstVideo.VIDEO_CONVERTER_OPT_BORDER_ARGB. Otherwise the unusded pixels in the destination are untouched. Default true.

### GstVideo.VIDEO_CONVERTER_OPT_FILL_BORDER

G_TYPE_BOOLEAN (not introspectable), if the destination rectangle does not fill the complete destination image, render a border with GstVideo.VIDEO_CONVERTER_OPT_BORDER_ARGB. Otherwise the unusded pixels in the destination are untouched. Default True.

### GST_VIDEO_CONVERTER_OPT_GAMMA_MODE

    #define GST_VIDEO_CONVERTER_OPT_GAMMA_MODE   "GstVideoConverter.gamma-mode"

GstVideoGammaMode, set the gamma mode. Default is GST_VIDEO_GAMMA_MODE_NONE.

### GstVideo.VIDEO_CONVERTER_OPT_GAMMA_MODE

GstVideo.VideoGammaMode, set the gamma mode. Default is GstVideo.VideoGammaMode.NONE.

### GstVideo.VIDEO_CONVERTER_OPT_GAMMA_MODE

GstVideo.VideoGammaMode, set the gamma mode. Default is GstVideo.VideoGammaMode.NONE.

### GST_VIDEO_CONVERTER_OPT_MATRIX_MODE

    #define GST_VIDEO_CONVERTER_OPT_MATRIX_MODE   "GstVideoConverter.matrix-mode"

GstVideoMatrixMode, set the color matrix conversion mode for converting between Y'PbPr and non-linear RGB (R'G'B'). Default is GST_VIDEO_MATRIX_MODE_FULL.

### GstVideo.VIDEO_CONVERTER_OPT_MATRIX_MODE

GstVideo.VideoMatrixMode, set the color matrix conversion mode for converting between Y'PbPr and non-linear RGB (R'G'B'). Default is GstVideo.VideoMatrixMode.FULL.

### GstVideo.VIDEO_CONVERTER_OPT_MATRIX_MODE

GstVideo.VideoMatrixMode, set the color matrix conversion mode for converting between Y'PbPr and non-linear RGB (R'G'B'). Default is GstVideo.VideoMatrixMode.FULL.

### GST_VIDEO_CONVERTER_OPT_PRIMARIES_MODE

    #define GST_VIDEO_CONVERTER_OPT_PRIMARIES_MODE   "GstVideoConverter.primaries-mode"

GstVideoPrimariesMode, set the primaries conversion mode. Default is GST_VIDEO_PRIMARIES_MODE_NONE.

### GstVideo.VIDEO_CONVERTER_OPT_PRIMARIES_MODE

GstVideo.VideoPrimariesMode, set the primaries conversion mode. Default is GstVideo.VideoPrimariesMode.NONE.

### GstVideo.VIDEO_CONVERTER_OPT_PRIMARIES_MODE

GstVideo.VideoPrimariesMode, set the primaries conversion mode. Default is GstVideo.VideoPrimariesMode.NONE.

### GST_VIDEO_CONVERTER_OPT_RESAMPLER_METHOD

    #define GST_VIDEO_CONVERTER_OPT_RESAMPLER_METHOD   "GstVideoConverter.resampler-method"

GstVideoResamplerMethod, The resampler method to use for resampling. Other options for the resampler can be used, see the GstVideoResampler. Default is GST_VIDEO_RESAMPLER_METHOD_CUBIC

### GstVideo.VIDEO_CONVERTER_OPT_RESAMPLER_METHOD

GstVideo.VideoResamplerMethod, The resampler method to use for resampling. Other options for the resampler can be used, see the GstVideo.VideoResampler. Default is GstVideo.VideoResamplerMethod.CUBIC

### GstVideo.VIDEO_CONVERTER_OPT_RESAMPLER_METHOD

GstVideo.VideoResamplerMethod, The resampler method to use for resampling. Other options for the resampler can be used, see the GstVideo.VideoResampler. Default is GstVideo.VideoResamplerMethod.CUBIC

### GST_VIDEO_CONVERTER_OPT_RESAMPLER_TAPS

    #define GST_VIDEO_CONVERTER_OPT_RESAMPLER_TAPS   "GstVideoConverter.resampler-taps"

G_TYPE_UINT, The number of taps for the resampler. Default is 0: let the resampler choose a good value.

### GstVideo.VIDEO_CONVERTER_OPT_RESAMPLER_TAPS

G_TYPE_UINT (not introspectable), The number of taps for the resampler. Default is 0: let the resampler choose a good value.

### GstVideo.VIDEO_CONVERTER_OPT_RESAMPLER_TAPS

G_TYPE_UINT (not introspectable), The number of taps for the resampler. Default is 0: let the resampler choose a good value.

### GST_VIDEO_CONVERTER_OPT_SRC_HEIGHT

    #define GST_VIDEO_CONVERTER_OPT_SRC_HEIGHT   "GstVideoConverter.src-height"

G_TYPE_INT, source height to convert, default source height

### GstVideo.VIDEO_CONVERTER_OPT_SRC_HEIGHT

G_TYPE_INT (not introspectable), source height to convert, default source height

### GstVideo.VIDEO_CONVERTER_OPT_SRC_HEIGHT

G_TYPE_INT (not introspectable), source height to convert, default source height

### GST_VIDEO_CONVERTER_OPT_SRC_WIDTH

    #define GST_VIDEO_CONVERTER_OPT_SRC_WIDTH   "GstVideoConverter.src-width"

G_TYPE_INT, source width to convert, default source width

### GstVideo.VIDEO_CONVERTER_OPT_SRC_WIDTH

G_TYPE_INT (not introspectable), source width to convert, default source width

### GstVideo.VIDEO_CONVERTER_OPT_SRC_WIDTH

G_TYPE_INT (not introspectable), source width to convert, default source width

### GST_VIDEO_CONVERTER_OPT_SRC_X

    #define GST_VIDEO_CONVERTER_OPT_SRC_X   "GstVideoConverter.src-x"

G_TYPE_INT, source x position to start conversion, default 0

### GstVideo.VIDEO_CONVERTER_OPT_SRC_X

G_TYPE_INT (not introspectable), source x position to start conversion, default 0

### GstVideo.VIDEO_CONVERTER_OPT_SRC_X

G_TYPE_INT (not introspectable), source x position to start conversion, default 0

### GST_VIDEO_CONVERTER_OPT_SRC_Y

    #define GST_VIDEO_CONVERTER_OPT_SRC_Y   "GstVideoConverter.src-y"

G_TYPE_INT, source y position to start conversion, default 0

### GstVideo.VIDEO_CONVERTER_OPT_SRC_Y

G_TYPE_INT (not introspectable), source y position to start conversion, default 0

### GstVideo.VIDEO_CONVERTER_OPT_SRC_Y

G_TYPE_INT (not introspectable), source y position to start conversion, default 0

### GST_VIDEO_CONVERTER_OPT_THREADS

    #define GST_VIDEO_CONVERTER_OPT_THREADS   "GstVideoConverter.threads"

G_TYPE_UINT, maximum number of threads to use. Default 1, 0 for the number of cores.

### GstVideo.VIDEO_CONVERTER_OPT_THREADS

G_TYPE_UINT (not introspectable), maximum number of threads to use. Default 1, 0 for the number of cores.

### GstVideo.VIDEO_CONVERTER_OPT_THREADS

G_TYPE_UINT (not introspectable), maximum number of threads to use. Default 1, 0 for the number of cores.

The results of the search are